struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "mahendran (JIRA)" <j...@apache.org>
Subject [jira] [Created] (WW-4188) In struts tag lib, required attribute removed in latest version ie 2.3.15.1
Date Thu, 05 Sep 2013 07:10:51 GMT
mahendran created WW-4188:
-----------------------------

             Summary: In struts tag lib, required attribute removed in latest version ie 2.3.15.1
                 Key: WW-4188
                 URL: https://issues.apache.org/jira/browse/WW-4188
             Project: Struts 2
          Issue Type: Improvement
          Components: Other
    Affects Versions: 2.3.15.1
         Environment: All
            Reporter: mahendran
            Priority: Blocker


we are using struts 2.0.5, and we decided to migrate to 2.3.15.1 to get the security fixes.

we use struts tags to render UI components and using 'required' attribute to get the '*' along
with the components.

In the version 2.3.15.1, the attribute required is dropped, and we need to change to requiredLabel
to get the same effect, this increases migration&testing effort for a application which
has 1000+pages

Hence we require a backward compatibility for 'required' attribute in struts tags.

But we managed to get the '*' in UI by replacing UIBean.class,AbsctactUITag.class and struts.tld
from 2.3.4.1 version.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message